package com.caliverse.admin.domain.entity;

public enum HISTORYTYPE {

    NONE("기본"),
    LOGIN_PERMITTED("로그인 승인"),
    ADMIN_INFO_UPDATE("운영자 정보 수정"),
    ADMIN_INFO_DELETE("운영자 정보 삭제"),
    PASSWORD_INIT("비밀번호 초기화"),
    USER_INFO_UPDATE("유저 정보 변경"),
    GROUP_AUTH_UPDATE("그룹 권한 수정"),
    GROUP_DELETE("그룹 삭제"),
    NOTICE_DELETE("공지사항 삭제"),
    NOTICE_ADD("공지사항 등록"),
    NOTICE_UPDATE("공지사항 수정"),
    NOTICE_SEND_FAIL("공지사항 전송 실패"),
    MAIL_DELETE("우편 삭제"),
    MAIL_ADD("우편 등록"),
    MAIL_UPDATE("우편 수정"),
    MAIL_SEND("우편 전송"),
    MAIL_SEND_FAIL("우편 전송 실패"),
    MAIL_ITEM_DELETE("우편 아이템 삭제"),
    MAIL_ITEM_UPDATE("우편 아이템 수정"),
    WHITELIST_DELETE("화이트리스트 삭제"),
    BLACKLIST_UPDATE("유저 제재 수정"),
    BLACKLIST_DELETE("유저 제재 삭제"),
    REPORT_DELETE("신고내역 삭제"),
    USER_ITEM_DELETE("유저 아이템 삭제"),
    SCHEDULE_MAIL_FAIL("메일 스케줄 실패"),
    SCHEDULE_NOTICE_FAIL("공지 스케줄 실패"),
    SCHEDULE_EVENT_FAIL("이벤트 스케줄 실패"),
    USER_MAIL_DELETE("유저 메일 삭제"),
    INVENTORY_ITEM_DELETE("인벤토리 아이템 삭제"),
    INVENTORY_ITEM_UPDATE("인벤토리 아이템 수정"),
    EVENT_ADD("이벤트 등록"),
    EVENT_UPDATE("이벤트 수정"),
    EVENT_DELETE("이벤트 삭제"),
    CALIUM_ADD("칼리움 요청 등록"),
    CALIUM_SAVE("칼리움 저장"),
    CALIUM_TRANSFER("칼리움 전송"),
    CALIUM_TOTAL_UPDATE("칼리움 충전"),
    LAND_AUCTION_ADD("랜드경매 등록"),
    LAND_AUCTION_UPDATE("랜드경매 수정"),
    LAND_AUCTION_DELETE("랜드경매 삭제"),
    BATTLE_EVENT_ADD("전투시스템 이벤트 등록"),
    BATTLE_EVENT_UPDATE("전투시스템 이벤트 수정"),
    BATTLE_EVENT_DELETE("전투시스템 이벤트 삭제"),
    LAND_OWNER_CHANGE_ADD("랜드 소유권 변경 등록"),
    LAND_OWNER_CHANGE_UPDATE("랜드 소유권 변경 수정"),
    LAND_OWNER_CHANGE_DELETE("랜드 소유권 변경 예약 취소"),
    LAND_OWNER_CHANGE_MAIL("랜드 소유권 변경 우편")
    ;
    private String historyType;
    HISTORYTYPE(String type) {
        this.historyType = type;
    }
}
